Subject: Re: calling giveup_altivec on machine with no altivec!?

From: Dan Malek <[email-masked]>
Date: Thu, 15 Feb 2001 17:57:18 -0500

Troy Benjegerdes wrote:

> Somehow prev->thread.regs->msr & MSR_VEC turned out true. I'm suspecting
> something got overwritten somewhere..

Crap....

> This is an SMP machine so I'm wondering if there wasn't a race condition
> on something with task structs..

Ahhhh, wait a minute......does SMP do the lazy Altivec or does it
always switch it?  On uP systems, MSR_VEC isn't set unless you get an
Altivec trap, but I seem to remember comments about always switching it
on SMP systems.  On an SMP system, if you don't really have Altivec
you probably shouldn't enable it in the configuration.....no common
config here :-).

	-- Dan

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/